<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Landing Page - Start Bootstrap Theme</title>

  <!-- Bootstrap core CSS -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>

  <script src="https://cdn.jsdelivr.net/npm/vue@2.5.13/dist/vue.js"></script>
  <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>

  <!-- Custom fonts for this template -->
  <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
  <link href="vendor/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic" rel="stylesheet" type="text/css">
  <link type="text/css" rel="stylesheet" href="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.css" />

  <!-- Custom styles for this template -->
  <link href="css/landing-page.min.css" rel="stylesheet">

</head>

<body>

  <!-- Navigation -->
  <nav class="navbar navbar-light bg-danger static-top ">
    <div class="container">
      <a class="navbar-brand" href="#">Bucca</a>
    </div>
  </nav>

  <!-- Masthead -->
    <!-- <header class="masthead text-white text-center">
      <div class="container">
        <div class="row">
          <div class="col-xl-9 mx-auto">
            <h1 class="mb-5">Цитологический тест буккального эпителия</h1>
          </div>
        </div>
      </div>
    </header> --> 

  <!-- <section class="features-icons bg-light text-center">
    <div class="container">
      <div class="row">
        <div class="col-lg-4">
          <div class="features-icons-item mx-auto mb-5 mb-lg-0 mb-lg-3">
            <div class="features-icons-icon d-flex">

            </div>
            <h3>Сфотографируй</h3>
            <p class="lead mb-0">Вам понадобится микроскоп с камерой</p>
          </div>
        </div>
        <div class="col-lg-4">
          <div class="features-icons-item mx-auto mb-5 mb-lg-0 mb-lg-3">
            <div class="features-icons-icon d-flex">

            </div>
            <h3>Загрузи на сайт</h3>
            <p class="lead mb-0">Вам понадобится около 200 фотографий</p>
          </div>
        </div>
        <div class="col-lg-4">
          <div class="features-icons-item mx-auto mb-0 mb-lg-3">
            <div class="features-icons-icon d-flex">
            </div>
            <h3>Получи результат</h3>
            <p class="lead mb-0">На это уйдет всего пару минут</p>
          </div>
        </div>
      </div>
    </div>
  </section> -->

  <!-- Image Showcases -->
  <section class="showcase">
    <div id="app" style="background-color: #fff!important;">
      <div class="content1" style="padding-top: 60px;">
        <div class="row justify-content-center">
          <div class="container">
            <div class="form-row">
              <div class="col-6 mb-3">
                <label for="validationDefault01">Имя</label>
                <input v-model="name" type="text" class="form-control" id="validationDefault01" placeholder="First name" value="Mark" required>
              </div>
              <div class="col-6 mb-3">
                <label for="validationDefault02">Фамилия</label>
                <input type="text" v-model="surname" class="form-control" id="validationDefault02" placeholder="Last name" value="Otto" required>
              </div>
            </div>
            <div class="form-row">
              <div class="col-6 mb-3">
                <label for="validationDefault02">Отчество</label>
                <input type="text" v-model="lastname" class="form-control" id="validationDefault02" placeholder="Last name" value="Otto"
                  required>
              </div>
              <div class="col-6 mb-3">
                <label for="validationDefault02">Дата рождения</label>
                <input v-model="date" type="date" q style="font-size:14px" class="form-control">
              </div>
              <div class="form-row">
                <div class="col-2 mb-3" style="margin-left: 5px;">
                  <label for="validationDefault02">Пол</label>
                  <b-form-radio-group buttons button-variant="outline-primary" v-model="gender" :options="[
                    { text: 'М', value: 'М' },
                    { text: 'Ж', value: 'Ж' }
                  ]" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="input-group col-12 mb-3">
                <div class="custom-file">
                  <input v-on:change="uploadPhotos()" type="file" multiple ref="photosInput" class="custom-file-input">
                  <label class="custom-file-label" for="inputGroupFile02">Choose file</label>
                </div>
                <div class="input-group-append">
                  <span class="input-group-text" id="">Upload</span>
                </div>
              </div>
            </div>

            <div v-if="showpb" class="col-12">
              <b-progress :value="uploadprogress" :animated="query_pending_flag" :max="100" show-value class="mb-3"></b-progress>
            </div>

          </div>
        </div>
      </div>
      <div v-if="showresult" class="container" style="padding-top: 60px;">
        <div class="form-row justify-content-center">
          <div class="col-6">
            <p class="font-weight-light">ФИО</p>

          </div>
          <div class="col-6">
            <p class="font-weight-bold">{{surname}}&nbsp;{{name}}&nbsp;{{lastname}}</p>
          </div>
        </div>
        <div class="form-row justify-content-center">
          <div class="col-6">
            <p class="font-weight-light">Дата рождения</p>
          </div>
          <div class="col-6">
            <p class="font-weight-light">{{date}}</p>
          </div>

        </div>
        <div class="form-row justify-content-center">
          <div class="col-6">
            <p class="font-weight-light">Пол</p>
          </div>
          <div class="col-6">
            <p class="font-weight-light">{{gender}}</p>
          </div>
        </div>
        <div class="form-row justify-content-center">
          <div class="col-2">
            <p class="font-weight-light">Всего клеток:</p>
          </div>
          <div class="col-2">
            <p class="font-weight-bold">{{normal+ubnormal}}</p>
          </div>
          <div class="col-2">
            <p class="font-weight-light">Нормальных клеток:</p>
          </div>
          <div class="col-2">
            <p class="font-weight-bold">{{normal}}</p>
          </div>
          <div class="col-2">
            <p class="font-weight-light">Патологических клеток:</p>
          </div>
          <div class="col-2">
            <p class="font-weight-bold">{{ubnormal+micro}} </p>
          </div>
        </div>
        <div class="form-row justify-content-center">
          <div class="col-6">
            <p class="font-weight-light">Патологических клеток:</p>
          </div>
          <div class="col-6">
            <p style="font-size: 20px" class="font-weight-bold">{{((ubnormal+micro)/normal)*100}}%</p>
          </div>
          <div class="form-row justify-content-center">
            <div class="col-12">
              <button type="button" class="btn btn-outline-primary" @click="photo = !photo">Посмотреть фото</button>
            </div>
          </div>
          <div class="form-row">
            <div class="col-4" v-for="(img, n) of image_array" :key="n" v-if="photo">
              <div class="card" style="width: 18rem;">
                <img class="card-img-top" :src="img" alt="Card image cap">
              </div>
            </div>
          </div>
        </div>

        <!-- <div class="row justify-content-md-center">
          <p>
            <a class="btn btn-primary" data-toggle="collapse" href="#multiCollapseExample1" role="button" aria-expanded="false" aria-controls="multiCollapseExample1">Toggle first element</a>
          </p>
          <div class="row">
            <div class="col">
              <div class="collapse multi-collapse" id="multiCollapseExample1">
                <div class="card card-body">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident.
                </div>
              </div>
            </div>
          </div>
        </div> -->
      </div>
    </div>
  </section>

  <!-- Testimonials
  <section class="testimonials text-center bg-light">

  </section>

  <!-- Call to Action -->
  <!-- <section class="call-to-action text-white text-center">
    <div class="overlay"></div>
    <div class="container">
      <div class="row">
        <div class="col-xl-9 mx-auto">
          <h2 class="mb-4">Ready to get started? Sign up now!</h2>
        </div>
        <div class="col-10 col-lg-8 col-xl-7 mx-auto">
          <form>
            <div class="form-row">
              <div class="col-12 col-9 mb-2 mb-md-0">
                <input type="email" class="form-control form-control-lg" placeholder="Enter your email...">
              </div>
              <div class="col-12 col-3">
                <button type="submit" class="btn btn-block btn-lg btn-primary">Sign up!</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </section> -->

  <!-- Footer -->
  <!-- <footer class="footer bg-light">
    <div class="container">
      <div class="row">
        <div class="col-lg-6 h-100 text-center text-lg-left my-auto">
          <ul class="list-inline mb-2">
            <li class="list-inline-item">
              <a href="#">About</a>
            </li>
            <li class="list-inline-item">&sdot;</li>
            <li class="list-inline-item">
              <a href="#">Contact</a>
            </li>
            <li class="list-inline-item">&sdot;</li>
            <li class="list-inline-item">
              <a href="#">Terms of Use</a>
            </li>
            <li class="list-inline-item">&sdot;</li>
            <li class="list-inline-item">
              <a href="#">Privacy Policy</a>
            </li>
          </ul>
          <p class="text-muted small mb-4 mb-lg-0">&copy; Your Website 2018. All Rights Reserved.</p>
        </div>
        <div class="col-lg-6 h-100 text-center text-lg-right my-auto">
          <ul class="list-inline mb-0">
            <li class="list-inline-item mr-3">
              <a href="#">
                <i class="fa fa-facebook fa-2x fa-fw"></i>
              </a>
            </li>
            <li class="list-inline-item mr-3">
              <a href="#">
                <i class="fa fa-twitter fa-2x fa-fw"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a href="#">
                <i class="fa fa-instagram fa-2x fa-fw"></i>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </footer> -->

  <!-- Bootstrap core JavaScript -->
  <script src="https://unpkg.com/babel-polyfill@latest/dist/polyfill.min.js"></script>
  <script src="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.js"></script>
  <script>
    var vm = new Vue({
      el: "#app",
      data() {
        return {
          gender: "M",
          showpb: false,
          photo: false,
          debug: false,
          date: null,
          lastname: "Иванович",
          show: true,
          showresult: false,
          query_pending_flag: false,
          uploadprogress: 0,
          normal: 0,
          ubnormal: 0,
          alert: false,
          username: "",
          password: "",
          sign_in_compl: true,
          score: 0,
          check: true,
          valid: false,
          name: "Иван",
          surname: "Иванов",
          image_array: [],
          micro: 0 
        };
      },
      methods: {
        onUploadClicked() {
          this.loading = true;
          setTimeout(() => (this.loading = false), 3000);
        },
        checkfield() {
          if (this.username == "admin" && this.password == "123123123") {
            this.sign_in_compl = true;
            this.showCardall = false;
          } else {
            if (
              this.username != "admin" &&
              this.password != "123123123" &&
              (this.username != "" && this.password != "")
            )
              this.alert = true;
          }
        },
        uploadPhotos() {
          this.showpb = true;
          const files = this.$refs.photosInput.files;

          const _tmp = async() => {
            const data = new FormData();
            for (let i = 0; i < files.length; i++) {
              this.uploadprogress += 100 / files.length;
              const file = files[i];
              // const newFile = await downscale(file, 512, 512, {
              //   returnBlob: 1
              // });

              data.append(file.name, file, file.name);
              data.append("test", "test");
            }
            this.query_pending_flag = true;
            $.ajax({
              url: "/api/upload",
              data: data,
              type: "POST",
              processData: false, // tell jQuery not to process the data
              contentType: false, // tell jQuery not to set contentType
              xhr: () => {
                const xhr = $.ajaxSettings.xhr(); // получаем объект XMLHttpRequest
                xhr.upload.addEventListener(
                  "progress",
                  evt => {
                    if (evt.lengthComputable) {
                      const percentComplete = Math.ceil(
                        evt.loaded / evt.total * 100
                      );

                      if (percentComplete != 100) {
                        this.query_pending_flag = false;
                        this.uploadprogress = percentComplete;
                      } else {
                        this.query_pending_flag = true;
                      }
                    }
                  },
                  false
                );
                return xhr;
              },
              success: data => {
                console.log(data);
                this.showpb = false;
                this.query_pending_flag = false;
                this.uploadprogress = 0;
                this.normal = data.normal;
                this.ubnormal = data["2nucl"];
                this.showresult = true;
                this.image_array = data["images"];
                this.micro = data.micro; }
            });
          };
          _tmp();
        }
      },
    });
  </script>

</body>

</html>